# SkillContextMenuUI

Contains references to the buttons for unlocking a skill and adding/removing it from/to the skill bar.&#x20;

### Implementation

```csharp
public class SkillContextMenuUI : MonoBehaviour
```

### Inheritance

[MonoBehaviour](https://docs.unity3d.com/ScriptReference/MonoBehaviour.html) --> [SkillContextMenuUI](/skills/skills/api-documentation/skillcontextmenuui.md)

### Fields

| Name                                                                                                               | Description                                     |
| ------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------- |
| [buttonUnlock](/skills/skills/api-documentation/skillcontextmenuui/fields/buttonunlock.md)                         | Button which unlocks the skill                  |
| [buttonAddToSkillBar](/skills/skills/api-documentation/skillcontextmenuui/fields/buttonaddtoskillbar.md)           | Button which adds a skill to the skill bar      |
| [buttonRemoveFromSkillBar](/skills/skills/api-documentation/skillcontextmenuui/fields/buttonremovefromskillbar.md) | Button which removes a skill from the skill bar |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mitschmr-studios.io/skills/skills/api-documentation/skillcontextmenuui.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
